import  java.util.function.Function;
class LamAssignWithM {
 Integer mul(Integer x, Integer y) {
  	return x;
   }
 Function<Integer,Integer>  m () {
   Function<Integer,Integer> lam1 = (Integer x) -> {
       return mul(x,x);
   };
   return lam1;
  }
}
